Skip to main content

Signicat Events Management (v1)

Download OpenAPI specification:Download

Overview

The Events Management service is the entry point into processing events generated by our services. By creating a Subscription you can have events pushed to your service whenever something interesting happens in a Signicat service. See each service's documentation for detailed information on which events are interesting to you and how to use them.

Events

The following table provides an overview of all events accessible through the events service.

Event Description
passkeys:authentication.completed Sent whenever a passkey authentication result is ready.
passkeys:passkey.delete Sent whenever a passkey has been deleted
reuseid:passkey.state.change Sent whenever a passkey's state has been changed
certificate-management:csr.permanentlyDeleted A CSR has been permanently deleted.
mobileid:account-recovery.state.change Sent whenever an account recovery is updated or deleted.
mint-api:create_event Gets triggered every time a flow is created.
certificate-management:csr.patched The CSR has been patched.
mobileid:account-recovery.completed Sent whenever an account recovery is completed.
reuseid:device.account-recovery.state.change Sent whenever an account recovery is updated or deleted.
certificate-management:certificate.deleted A certificate has been soft-deleted.
mint-api:save_event Gets triggered every time a flow is saved.
ownidp:user.deleted Sent when user is removed from the application
auth-solution:connection.created Sent whenever a connection (OAuth/OIDC client) is created.
hydra-api:file_deleted Gets triggered every time a file was successfully deleted.
mobileid:device.state.change Sent whenever a device state is changed from device.
mint-api:delete_event Gets triggered every time a flow is deleted.
certificate-management:csr.restored A soft-deleted CSR has been restored.
signature-api:session.document.presented Sent whenever a document is presented to a recipient
authentication-api:session.abort The session was aborted.
reuseid:device.signature.completed Sent whenever a mobileid signature result is ready.
auth-solution:connection.deleted Sent whenever a connection (OAuth/OIDC client) is deleted.
communication-api:sms.failed Sent whenever an sms sending fails permanently
reuseid:device.authentication.completed Sent whenever a mobileid authentication result is ready.
authentication-api:session.success The session was successfull.
hydra-api:file_added Gets triggered every time a new file was successfully uploaded.
mint-api:publish_event Gets triggered every time a flow is published.
authentication-api:session.error The session resulted in an error.
signature-api:order.deleted Sent whenever a sign order is deleted
hydra-api:file_hydrated Gets triggered every time a file was hydrated with data provided to it.
mobileid:authentication.completed Sent whenever a mobileid authentication result is ready.
reuseid:device.account-recovery.completed Sent whenever an account recovery is completed.
signature-api:order.expired Sent whenever a sign order is expired
signature-api:order.completed Sent whenever a sign order is considered completed
signature-api:recipient.completed Sent whenever a recipient of the order (typically a signer) has completed their work
hydra-api:file_received Gets triggered every time a file was requested.
reuseid:device.registration.completed Sent whenever a mobileid registration result is ready.
reuseid:device.state.change Sent whenever a device state is changed from device.
certificate-management:certificate.restored A soft-deleted certificate has been restored.
signature-api:order.canceled Sent whenever a sign order is canceled via API
ownidp:user.creation.started Sent when invitation/registration flow starts.
account-api:organization.deleted Sent whenever an organization is marked for permanent deletion.
communication-api:email.sent Sent whenever an email has been sent
communication-api:email.failed Sent whenever an email sending fails permanently
account-api:account.enabled Sent whenever an account is enabled. Is not sent when a new account is created.
reuseid:passkey.registration.completed Sent whenever a passkey registration result is ready.
auth-solution:connection.updated Sent whenever a connection (OAuth/OIDC client) is updated.
ownidp:membership.created Sent when a membership is created
account-api:account.deleted Sent whenever an account is marked for permanent deletion.
mint:journey.finished Sent whenever a journey is finished.
signature-api:session.started Sent whenever a new sign session is started by recipient
certificate-management:certificate.expiring Certificate will expire in the next 30d
signature:signing-session.completed Sent when a signing session is completed
signature:signing-session.document.presented Sent when a document has been presented
mint:journey.faulted Sent whenever a journey is faulted.
mobileid:signature.completed Sent whenever a mobileid signature result is ready.
signature:signing-session.rejected Sent when a signing session is rejected
mint:journey.cancelled Sent whenever a journey is cancelled.
account-api:account.created Sent whenever an account is created.
signature:package.completed Sent when a packaging task has been completed
info-monitor-queue:changes.created Changes have been created in monitor.
certificate-management:owner.permanentlyDeleted An Owner has been permanently deleted.
signature:signing-session.ready Sent when signing session state is set to ready
signature:package.failed Sent when a packaging task has failed
ownidp:user.updated Sent when different update operations were done on the subject
mobileid:passport-scan.readid.completed Sent whenever a mobileid passport scan result is ready.
certificate-management:owner.deleted An Owner has been soft-deleted.
signature:signing-session.started Sent when a signing session is started
ownidp:membership.updated Sent when a membership is updated
assure-api:process.complete Whenever an notification is sent
passkeys:registration.completed Sent whenever a passkey registration result is ready.
certificate-management:csr.generated A new CSR has been generated.
certificate-management:certificate.uploaded A new certificate has been uploaded.
account-api:organization.created Sent whenever an organization is created.
reuseid:passkey.authentication.completed Sent whenever a passkey authentication result is ready.
certificate-management:owner.restored A soft-deleted owner has been restored.
certificate-management:csr.deleted A CSR has been soft-deleted.
certificate-management:certificate.patched A certificate has been patched.
signature-api:order.tobedeleted Sent whenever a sign order is about to be deleted
communication-api:email.delivered Sent whenever an email is delivered
certificate-management:keypair.uploaded A new KeyPair has been uploaded.
global-config-server:configuration.expiring Sent whenever a configuration is about to expire in the next 30d.
signature-api:order.created Sent whenever a new sign order is created
ownidp:user.creation.completed Sent when invitation/registration finishes.
assure-api:webid.zip.file.ready Notify when a WebID zip file is ready to download
ownidp:user.disabled Sent when user is disabled
account-api:account.soft-delete-changed Sent whenever an account's soft deletion state is changed.
communication-api:sms.delivered Sent whenever an sms is delivered
communication-api:sms.sent Sent whenever an sms has been sent
ownidp:membership.deleted Sent when a membership is removed
communication-api:email.opened Sent whenever an email is opened
global-config-server:configuration.expired Sent whenever a configuration is expired.
account-api:account.disabled Sent whenever an account is temporarily disabled.
certificate-management:certificate.permanentlyDelete A certificate has been permanently deleted.
mobileid:registration.completed Sent whenever a mobileid registration result is ready.

DeliveryLogs

Query delivery logs

query Parameters
subscriptionId
string

If specified, will retrieve only log items for this subscription

success
boolean

If specified, will retrieve only log items with this success property

cursor
string

Cursor used for pagination

Responses

Response samples

Content type
{
  • "data": [
    ]
}

Retrieve delivery log item

path Parameters
subscriptionId
required
string
id
required
string

Responses

Response samples

Content type
{
  • "id": "string",
  • "timestamp": "2019-08-24T14:15:22Z",
  • "success": true,
  • "event": {
    },
  • "attempt": 0,
  • "properties": {
    },
  • "errorMessage": "string",
  • "subscriptionId": "string",
  • "subscriptionType": "string",
  • "subscriptionName": "string"
}

Replay event delivery

Attempts to deliver this event again

path Parameters
subscriptionId
required
string
id
required
string

Responses

Response samples

Content type
{
  • "id": "string"
}

Events

List events

The event query parameter may be used to search for a specific event, or a group of events relating to the same service. Examples:

  • Single event: communication-api:email.delivered
  • All events from the communication service: communication-api:*
query Parameters
before
string <date-time>
after
string <date-time>
event
string
limit
integer <int32> [ 1 .. 100 ]
Default: 100
tail
boolean

If true, the next page URL will retrieve the latest events instead of earlier events. Not compatible with

page
string

Pagination token

Responses

Response samples

Content type
{
  • "data": [
    ],
  • "next": "string"
}

Retrieve event

path Parameters
id
required
string

Responses

Response samples

Content type
{
  • "id": "string",
  • "event": {
    },
  • "url": "string",
  • "replayUrl": "string"
}

Metadata

Metadata endpoints provide information that are useful to services and user interfaces integrating with the Event Management Service.

Retrieve event definitions

Returns a list of all events that may be subscribed to.

Responses

Response samples

Content type
{
  • "data": [
    ]
}

Subscriptions

Subscriptions are used to listen to events generated by Signicat services. Different types of subscriptions are available, allowing your application to listen to events in the way best suited for you.

Subscription types

Azure Service Bus

By creating a subscription of type AzureServiceBus we can push events directly to your Azure Service Bus queue.

Configuration: Locate your Service Bus in the Azure Portal. On the tab named "Shared Access Policies", add a policy named "Signicat" which has the Send claim and no other claims. Use the connection string from this shared access policy when creating your subscription.

Google Pub/Sub

By creating a subscription of type GooglePubSub we can push events directly to your Google Pub Sub topic.

Configuration: Locate Service accounts in Google Cloud console under IAM and admin. Create a new service account or use existing. Click manage keys under actions and add a key using type json. Copy the contents of the file into the credential parameter when creating your subscription.

Webhooks

By creating a subscription of type Webhook we can push events directly to your application using HTTP requests.

List subscriptions

Lists all subscriptions owned by the specified account or organization.

Responses

Response samples

Content type
{
  • "data": [
    ],
  • "next": "string"
}

Create subscription

Request Body schema: application/json
name
required
string [ 3 .. 64 ] characters
type
required
string [ 3 .. 64 ] characters
Enum: "GooglePubSub" "Mint" "Webhook" "AzureServiceBus"
typeConfiguration
required
any
eventNameFilter
Array of strings or null
tagFilter
Array of strings or null
object or null
expiresAt
string or null <date-time>

Responses

Request samples

Content type
application/json
{
  • "name": "My Subscription",
  • "ownerId": null,
  • "type": "Webhook",
  • "typeConfiguration": {},
  • "eventNameFilter": [
    ],
  • "tagFilter": [ ],
  • "includeInternalEvents": null,
  • "isGlobalSubscription": null,
  • "messageAuthentication": {
    },
  • "expiresAt": null
}

Response samples

Content type
{}

Retrieve subscription

A subscription can be created on an organization or an account. A subscription will subscribe to events on the organization or account on which it exists. You can specify which organization or account to create the subscription on by appending the query parameter ?signicat-organizationId=[your-id] or ?signicat-accountId=[your-id]

path Parameters
subscriptionId
required
string

Responses

Response samples

Content type
{}

Update subscription

path Parameters
subscriptionId
required
string
Request Body schema: application/json
name
string or null [ 3 .. 64 ] characters
active
boolean or null
type
required
string [ 3 .. 64 ] characters
Enum: "GooglePubSub" "Mint" "Webhook" "AzureServiceBus"

The type of subscription. This value may not be changed.

eventNameFilter
Array of strings or null
tagFilter
Array of strings or null
required
object
object or null
expiresAt
string or null <date-time>

Responses

Request samples

Content type
application/json
{
  • "name": "My Subscription",
  • "active": true,
  • "type": "Webhook",
  • "eventNameFilter": [
    ],
  • "tagFilter": [ ],
  • "typeConfiguration": {},
  • "messageAuthentication": {
    },
  • "expiresAt": null,
  • "includeInternalEvents": null
}

Response samples

Content type
{}

Delete subscription

path Parameters
subscriptionId
required
string

Responses

Send mock event

Attempts to deliver a mocked event to the subscription. Note that the delivery is an asynchronous operation. The resulting deliveryAttemptId value can be used to poll the delivery logs for the corresponding delivery attempt log item.

path Parameters
subscriptionId
required
string
Request Body schema: application/json
event
required
string non-empty ^[^\:]+\:[^\:]+$

Type of event to mock

tags
Array of strings or null

Arbitrary tags to add to the event

Responses

Request samples

Content type
application/json
{
  • "event": "string",
  • "tags": [
    ]
}

Response samples

Content type
{
  • "deliveryAttemptId": "string"
}